[Linux-HA] Heartbeat 2.1.4 mgmtd doesn't start

Yan Gao ygao at novell.com
Mon Oct 25 01:51:23 MDT 2010


On 10/25/10 15:28, René Pilz wrote:
> 2010/10/25 Yan Gao <ygao at novell.com>
> 
>> On 10/21/10 22:41, René Pilz wrote:
>>> Hello,
>>>
>>> I compiled heartbeat 2.1.4 on CentOS 4.4 x86_64.
>>> All seems working the right way, but I can't login to the server using
>>> hb_gui because I can't connect to the server.
>>>
>>> Password and username are correct but the mgmtd is not running.
>>>
>>> If I try to start the mgmtd I get following error message:
>>> /usr/lib64/heartbeat/mgmtd: symbol lookup error:
>> /usr/lib64/heartbeat/mgmtd:
>>> undefined symbol: cl_inherit_use_logd
>>
>> I seems that you didn't compile/install heartbeat 2.1.4 right.
>> cl_inherit_use_logd() was removed right after releasing 2.1.2. But
>> apparently your mgmtd is from an older one than that. Mixed versions of
>> the components were existing in your system?
>>
> 
> I have compiled heartbeat 2.1.4 with the standard options using the
> ./ConfigureMe configure, ./ConfigureMe make and ./ConfigureMe install
> script.
> 
> I tried an other version before but I removed all things before I tried to
> compile version 2.1.4 and I also tried it on a clean and fresh virtual
> machine.
> 
> 
>>
>> BTW, why do you stick with 2.1.4?
>> If you really want to use 2.1, you should adopt:
>> http://hg.linux-ha.org/lha-2.1/
>>
> 
> Is version  2.1.14-22.1
> <http://hg.linux-ha.org/lha-2.1/rev/006a5468fde1>the latest release of
> 2.1?
You could use the tip of the repo.

Regards,
  Yan
-- 
Yan Gao <ygao at novell.com>
Software Engineer
China Server Team, OPS Engineering, Novell, Inc.



More information about the Linux-HA mailing list